
Redmine - Feature #12215

Option to inherit Issue Category list from Parent project to Sub-projects

2012-10-25 16:19 - Douglas Simpson

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I don't think this is currently possible. (if this is please explain how this is done).

Having a standard "issues category list" user selectable inherit option, for sub-projects would avoid a lot of re-keying and data errors

& break-by reporting issues.

This would be useful where project issues / tasks are used for process (or lifecycle) tracking ...

eg.

Inquiry ... Quoted ... Ordered ... Staged ... Shipped

or

Speccing ... Coding ... Testing ... Deployed & Complete ...

or

RNA given ... Item rx'd ... Repair Assessment ... Quoted ...

PO Rx'd ... In repair ... Returned complete

Related issues:

Is duplicate of Redmine - Feature #5358: Share Issues Categories for sub-proj... New 2010-04-20

History

#1 - 2012-10-26 01:49 - Anonymous

The route most people seem to be taking for inheritance is copying a project, from the Administration -> Projects page. If you're frequently creating

projects of certain types, it's helpful to build (or designate from existing) a template project to serve this purpose.

#2 - 2013-04-21 13:25 - Mikołaj Milej

It looks like that it was fixed some time ago #1653 but now is broken again... When you change issue project the category is lost even when names

match.

What's more, on version summary when you Show version details in road map and then in "Issues by" you select Category there appears the same

categories multiple times:

project1

category1 (id 1)

sub project of project1

category1 (id 5)

In result you'll get category1 twice if you selected the same version for issues.

#3 - 2014-01-09 14:16 - Daniel Küppers

Duplicate of #5358

#4 - 2014-01-31 01:24 - Toshi MARUYAMA

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

- Resolution set to Duplicate
https://www.redmine.org/issues/1653
https://www.redmine.org/issues/5358


Daniel Küppers wrote:

Duplicate of #5358

 Thank you for your pointing.

#5 - 2014-01-31 01:24 - Toshi MARUYAMA

- Is duplicate of Feature #5358: Share Issues Categories for sub-projects added
